Web based family history software

Question Upgrading 1.7.20 to 2.1.8 - question regarding php version

  • heikea
  • Topic Author
  • Offline
  • New Member
  • New Member
More
1 month 3 weeks ago #1 by heikea
Guten Tag,
ich verwende webtrees 1.7.20 mit der PHP-Version 7.2.34 und möchte aktualisieren auf Webtrees  2.1.18.
Mein Provider hat angeboten PHP auf 8.2 zu setzen. Ist damit ein (manuelles) Upgrade von 1.7.20 direkt auf 2.1.18 möglich?
Was wäre, wenn etwas nicht funktioniert? Würde webtrees 1.7.20 auch mit PHP 8.2 funktionieren?

Hello,
I am using webtrees 1.7.20 with PHP version 7.2.34 and would like to upgrade to webtrees 2.1.18.
My provider has offered to set PHP to 8.2. Is it possible to (manually) upgrade from 1.7.20 directly to 2.1.18?
What if something does not work? Would webtrees 1.7.20 also work with PHP 8.2?

Grüße, regards,
Heike

Please Log in or Create an account to join the conversation.

More
1 month 3 weeks ago #2 by fisharebest
> Would webtrees 1.7.20 also work with PHP 8.2?

You can see the requirements here:

webtrees.net/install/requirements/

> Is it possible to (manually) upgrade from 1.7.20 directly to 2.1.18?

Yes. You should read webtrees.net/upgrade/2.0/

You will need to upgrade PHP at the same time as you upgrade webtrees.

> What if something does not work?

You have a backup of your database?
You have a backup of your files?

Then there is no problem!

Greg Roach - greg@subaqua.co.uk - @fisharebest@phpc.social - fisharebest.webtrees.net

Please Log in or Create an account to join the conversation.

  • heikea
  • Topic Author
  • Offline
  • New Member
  • New Member
More
1 month 3 weeks ago #3 by heikea
Thanks Greg,
good to know for sure I'll have to sync the time of upgrading to the PHP-version.
Regards
Heike

Please Log in or Create an account to join the conversation.

Powered by Kunena Forum
}